summaryrefslogtreecommitdiff
path: root/dev-python/anyio
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-01-07 07:18:42 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-01-07 07:18:42 +0000
commitfa00ab7f496855d4da054e8fe5d4c857fcb5a5f7 (patch)
tree5ad63c1d12d1af1f36dd3cdce6d1461aba6423dc /dev-python/anyio
parent0ced4acaeda93c504362f0379f41580b9eee2341 (diff)
downloadbaldeagleos-repo-fa00ab7f496855d4da054e8fe5d4c857fcb5a5f7.tar.gz
baldeagleos-repo-fa00ab7f496855d4da054e8fe5d4c857fcb5a5f7.tar.xz
baldeagleos-repo-fa00ab7f496855d4da054e8fe5d4c857fcb5a5f7.zip
Adding metadata
Diffstat (limited to 'dev-python/anyio')
-rw-r--r--dev-python/anyio/Manifest2
-rw-r--r--dev-python/anyio/anyio-4.12.1.ebuild74
2 files changed, 76 insertions, 0 deletions
diff --git a/dev-python/anyio/Manifest b/dev-python/anyio/Manifest
index 22779cbf855f..80181746675b 100644
--- a/dev-python/anyio/Manifest
+++ b/dev-python/anyio/Manifest
@@ -1,3 +1,5 @@
DIST anyio-4.11.0.tar.gz 219094 BLAKE2B fe51a6c7ac7415f26a20ba058caeb5600afb84fbf68b379308fa876b7aa39112d71cd06c7cbb49a0a91d585cd6d46322b6af28dcab9870c4be74d9f5809d7658 SHA512 8286a9dc7e1299dc758146fcbbd83a8be717c2e3a12fd738c05ede84e001131091221425dbd5c966027288c41f66b87a7241c2327353d407bc4f13f5e1d96c90
DIST anyio-4.12.0.tar.gz 228266 BLAKE2B 194065fba51f1367b9b7ffce31c847d283482304f208a6f85a4ff5a59d84aa2961b2daea3f3012dffb232cfaa63c15e92b1ba7e1a2d8cc2b2682f7f5e799dd85 SHA512 5d87699886141e1226f9f350099e4b18f7456e62cb8de7ae0246847ab29a72b995e2e3464d8a9fa39f34820a0364fa890530f053023a2da1095da85a3a0672d8
DIST anyio-4.12.0.tar.gz.provenance 9075 BLAKE2B 093aff857883b1aaf690cbe76592dec055bdbc0f62a6d672b6c7e6c388c9c7dfeeabe65d4b51bb13a73a7bdfa1dd5315d298ee174152945c85aaae672f481f0f SHA512 f0719dd2d0dc361f2547235a428a04e30b7a1e93531fe93e17eb2758f38c556fbc9759112f2546847821a8437c31867a96f0712f5730be503d1a6efe70f779e1
+DIST anyio-4.12.1.tar.gz 228685 BLAKE2B 8fbca8a9462036928d8686c9d238920595e78bae4c21f9fc19e198ca0767d6c5ef5b40aa5a15a290bd12a733eb284c94149cb941e6634128d3f389700789bc14 SHA512 b59873ae6339bb889dae301cae61c0fcae965bc1eec0272e86ac47fcdf2a9ecc596b85a89b15d80c0e791ebea4d34868c2098a9e34772151b51e41bcaa5a4949
+DIST anyio-4.12.1.tar.gz.provenance 9069 BLAKE2B 2b928c159561a07fbd92e465b7c07a03178c19915b07d61f46f24d4090f97e9e8de25266bafb4f52279486aa4909289df0d25a0dfd4bb50a94217a0d204c221c SHA512 ee730a9d861e5991ccb8a7e38f5cf322f60a1a1be639ce693d7ca3744c65d093e702e683a131cab6f3a0f1f75d4f491e2349225b83e745fe4eafbc8b1ea5c8ac
diff --git a/dev-python/anyio/anyio-4.12.1.ebuild b/dev-python/anyio/anyio-4.12.1.ebuild
new file mode 100644
index 000000000000..a200ba71b855
--- /dev/null
+++ b/dev-python/anyio/anyio-4.12.1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_VERIFY_REPO=https://github.com/agronholm/anyio
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Compatibility layer for multiple asynchronous event loop implementations"
+HOMEPAGE="
+ https://github.com/agronholm/anyio/
+ https://pypi.org/project/anyio/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/idna-2.8[${PYTHON_USEDEP}]
+ >=dev-python/truststore-0.9.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.5[${PYTHON_USEDEP}]
+ ' 3.{11..12})
+"
+# On amd64, let's get more test coverage by dragging in uvloop, but let's
+# not bother on other arches where uvloop may not be supported.
+BDEPEND="
+ >=dev-python/setuptools-scm-6.4[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/blockbuster-1.5.23[${PYTHON_USEDEP}]
+ >=dev-python/exceptiongroup-1.2.0[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9[${PYTHON_USEDEP}]
+ >=dev-python/trustme-1.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/trio-0.32.0[${PYTHON_USEDEP}]
+ ' 3.{11..14})
+ amd64? (
+ $(python_gen_cond_dep '
+ >=dev-python/uvloop-0.22.1[${PYTHON_USEDEP}]
+ ' python3_{11..14})
+ )
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-mock )
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ '>=dev-python/sphinx-rtd-theme-1.2.2' \
+ dev-python/sphinxcontrib-jquery \
+ dev-python/sphinx-autodoc-typehints \
+ dev-python/sphinx-tabs
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires link-local IPv6 interface
+ tests/test_sockets.py::TestTCPListener::test_bind_link_local
+ )
+
+ local filter=()
+ if ! has_version ">=dev-python/trio-0.26.1[${PYTHON_USEDEP}]"; then
+ filter+=( -k "not trio" )
+ EPYTEST_DESELECT+=(
+ tests/test_pytest_plugin.py::test_plugin
+ tests/test_pytest_plugin.py::test_autouse_async_fixture
+ tests/test_pytest_plugin.py::test_cancel_scope_in_asyncgen_fixture
+ )
+ fi
+
+ epytest -m 'not network' "${filter[@]}"
+}